%define upstream_name List-Objects-Types
%define upstream_version 1.003002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Type::Tiny-based types for List::Objects::WithUtils
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Objects::WithUtils) >= 2.0.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Type::Tiny) >= 0.22.0
BuildArch:  noarch

%description
A small set of Type::Tiny-based types & coercions for
List::Objects::WithUtils.

Also see MoopsX::ListObjects, which provides Moops class-building sugar
with List::Objects::WithUtils integration.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.3.2-3pclos2017
- rebuild against updates

